Loading...
Searching...
No Matches
elastix::CoreMainGTestUtilities::Exception Class Reference

`#include <elxCoreMainGTestUtilities.h>`

## Detailed Description

Simple exception class, to be used by unit tests.

Definition at line 63 of file elxCoreMainGTestUtilities.h.

Inheritance diagram for elastix::CoreMainGTestUtilities::Exception:
[legend]

## Public Member Functions

| Exception (const char *const message)
const char * | what () const noexcept override

## Private Attributes

const char * | m_message = ""

## Constructor & Destructor Documentation

## Exception()

elastix::CoreMainGTestUtilities::Exception::Exception | ( | const char *const | message | ) |

inline explicit

Definition at line 68 of file elxCoreMainGTestUtilities.h.

## Member Function Documentation

## what()

const char * elastix::CoreMainGTestUtilities::Exception::what | ( |  | ) | const

inline override noexcept

Definition at line 73 of file elxCoreMainGTestUtilities.h.

## Field Documentation

## m_message

const char* elastix::CoreMainGTestUtilities::Exception::m_message = ""

private

Definition at line 65 of file elxCoreMainGTestUtilities.h.

Generated on 1768596610 for elastix by 1.15.0 |